#
# spec file for package lsb-release
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lsb-release
Summary:        Linux Standard Base Release Tools
License:        GPL-2.0+
Group:          System/Fhs
Version:        2.0
Release:        27.5
Prefix:         /usr
Source:         lsb-release-2.0.tar.bz2
Patch:          lsb-release-2.0.dif
BuildArch:      noarch
Url:            http://www.linuxbase.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tools from the Linux Standard Base project to determine the used distribution

%prep
%setup -n lsb-release-2.0
%patch

%build
# for openSUSE, the distributor is the openSUSE project
%if 0%{sles_version} == 0
sed -e 's/^MSG_DISTRIBUTOR=".*"/MSG_DISTRIBUTOR="openSUSE project"/' -i lsb_release
%endif
make

%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m644 lsb_release.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/ # install place
ln lsb_release.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/lsb-release.1.gz
install -m755 lsb_release $RPM_BUILD_ROOT%{_bindir}
ln -sf lsb_release $RPM_BUILD_ROOT%{_bindir}/lsb-release

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/lsb?release
%{_mandir}/man1/lsb?release.1.gz

%changelog
* Fri Jan 30 2015 kukuk@suse.de
- Read /etc/lsb-release.d/* even if /etc/lsb-release does not
  contain a LSB_VERSION entry
- codename is not the distribution version
* Thu Oct 17 2013 bugs@vdm-design.de
- Change to use /etc/os-release instead of /etc/SuSE-release [bnc#845262]
* Tue Sep 11 2012 aj@suse.de
- For openSUSE the distributor is the openSUSE project.
* Mon Sep 20 2010 kukuk@suse.de
- Read "CODENAME" from /etc/SuSE-release [bnc#640213]
- Add "lsb-release" compat links
* Mon Jul 20 2009 kukuk@suse.de
- Split off from lsb package [bnc#483655]
